%define fake_serial 6
%define fake_version 2.01

Name: dvdrtools
Version: 0.3.1
Release: alt1

Summary: A set command line tools for CD/DVD-Recorders
Summary(ru_RU.KOI8-R):      CD/DVD-
License: GPL
Group: Archiving/Cd burning
Url: http://www.arklinux.org/projects/dvdrtools/

Source: http://www.arklinux.org/download/dvdrtools-%version.tar.bz2

Patch0: dvdrtools-0.3.1-alt-build.patch

# Automatically added by buildreq on Sat Jan 07 2006
BuildRequires: libacl-devel transcode

%package -n dvdrecord
Version: %version
Summary: A command line CD/DVD-R/RW Recorder
Summary(ru_RU.KOI8-R):     CD/DVD-R/RW
Group: Archiving/Cd burning
Provides: %name-dvdrecord = %version, cdrecord = %fake_serial:%fake_version
PreReq: cdrtools-control

# alternatives
%set_compress_method gzip
%define weight 30
PreReq: alternatives >= 0.2.0
BuildPreReq: alternatives >= 0.2.0

%package -n makecd
Version: %version
Summary: A utility for creating video/audio CD/DVDs
Summary(ru_RU.KOI8-R):    / CD/DVD
Group: Video
Provides: %name-cdda2wav = %version
Requires: transcode, ifogen

%package -n ifogen
Version: %version
Summary: A utility for creating DVD structure
Summary(ru_RU.KOI8-R):     DVD
Group: Video
Provides: %name-ifogen = %version

%description
A set command line tools for CD/DVD-Recordersdd including
dvdrecord, makecd, ifogen.

%description -l ru_RU.KOI8-R
    CD/DVD-.
 dvdrecord, makecd, ifogen  ..

%description -n dvdrecord
Dvdrecord is an application for creating audio and data CD/DVDs on
a CD/DVD-Recorder (SCSI/ATAPI).  Dvdrecord works with many different
brands of CD/DVD recorders, fully supports data, audio, mixed,
multi-session, CD+/DVD-R/RW discs and provides human-readable 
error messages.

NB! Dvdrecord don't support DVD+R/RW media - use dvd+rw-tools instead.

%description -n dvdrecord -l ru_RU.KOI8-R
Dvdrecord -    CD  DVD . 
   CD/DVD-.   
 -, ,   CD+/DVD-R/RW .

! Dvdrecord     DVD+R/RW,  
dvd+rw-tools     .

%description -n makecd
makecd is an utility for mastering CD/DVD discs. It's support making DVD films,
MPEG4 and MP3 discs for hardware players. makecd using transcode utils.

%description -n makecd -l ru_RU.KOI8-R
makecd     CD/DVD    . 
  DVD     MPEG4  MP3 . makecd 
 a transcode     .

%description -n ifogen
ifogen is an utility for mastering DVD discs.

%description -n ifogen -l ru_RU.KOI8-R
ifogen      DVD .

%prep
%setup -q
%patch0 -p1

# do the build only for dvdrecord and video/
for dir in cdda2wav mkisofs rscsi readcd libunls; do
	rm -rf $dir
done

%build
%__autoreconf
# Don't use mmap to get shared memory.
export ac_cv_func_smmap=no
%configure

%make_build

%install
%makeinstall
%__chmod 700 $RPM_BUILD_ROOT%_bindir/dvdrecord
%__mkdir_p %buildroot%_altdir
%__cat <<__EOF__ >%buildroot%_altdir/dvdrecord
%_bindir/cdrecord       %_bindir/dvdrecord          %weight
%_man1dir/cdrecord.1.gz %_man1dir/dvdrecord.1.gz    %_bindir/dvdrecord
__EOF__

%pre -n dvdrecord
%pre_control dvdrecord

%post -n dvdrecord
%register_alternatives dvdrecord
%post_control dvdrecord

%preun -n dvdrecord
%unregister_alternatives dvdrecord

%files -n dvdrecord
%attr(640,root,cdwriter) %config(noreplace)
%_altdir/*
%_bindir/dvdrecord
%_man1dir/dvdrecord.*
%doc README NEWS AUTHORS ChangeLog

%files -n makecd
%_bindir/makecd

%files -n ifogen
%_bindir/ifogen

%changelog
* Sat Feb 25 2006 LAKostis <lakostis at altlinux.org> 0.3.1-alt1
- 0.3.1.
- update urls.

* Sat Jan 07 2006 LAKostis <lakostis at altlinux.org> 0.2.1-alt1
- Initial build for Sisyphus;
- .spec based on cdrtools package.

